Package org.apache.sling.testing.clients.interceptors

# Class StickyCookieInterceptor

java.lang.Object
org.apache.sling.testing.clients.interceptors.StickyCookieInterceptor

All Implemented Interfaces:
  `org.apache.http.HttpRequestInterceptor`

public class StickyCookieInterceptor extends Object implements org.apache.http.HttpRequestInterceptor

## Constructor Summary

Constructors
Constructor
Description
`StickyCookieInterceptor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StickyCookieInterceptor

public StickyCookieInterceptor()

## Method Details

### process

public void process(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext) throws org.apache.http.HttpException, IOException

Specified by:
  `process` in interface `org.apache.http.HttpRequestInterceptor`
Throws:
  `org.apache.http.HttpException`
  `IOException`